<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en-GB">
	<id>https://witterpedia.thesamsmith.co.uk/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3ACitizen.css</id>
	<title>MediaWiki:Citizen.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://witterpedia.thesamsmith.co.uk/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3ACitizen.css"/>
	<link rel="alternate" type="text/html" href="https://witterpedia.thesamsmith.co.uk/index.php?title=MediaWiki:Citizen.css&amp;action=history"/>
	<updated>2026-04-19T21:39:38Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.43.0</generator>
	<entry>
		<id>https://witterpedia.thesamsmith.co.uk/index.php?title=MediaWiki:Citizen.css&amp;diff=9&amp;oldid=prev</id>
		<title>Fecsmith: Created page with &quot;/* All CSS here will be loaded for users of the Citizen skin */  /*  * Menu  * Rich format menu to have more hierarchy */ /* Remove bottom spacing as it is handled in footer portlet */ .citizen-drawer__menu { 	margin-bottom: 0; 	padding-bottom: 0; }  .mw-portlet-External { 	position: sticky; 	bottom: 0; 	margin-top: var( --space-md );     padding: var( --space-xs ) 0; 	border-top: 1px solid var( --border-color-base ); 	background: var( --color-surface-1 ); 	font-size: va...&quot;</title>
		<link rel="alternate" type="text/html" href="https://witterpedia.thesamsmith.co.uk/index.php?title=MediaWiki:Citizen.css&amp;diff=9&amp;oldid=prev"/>
		<updated>2025-03-10T01:10:52Z</updated>

		<summary type="html">&lt;p&gt;Created page with &amp;quot;&lt;span class=&quot;autocomment&quot;&gt;All CSS here will be loaded for users of the Citizen skin: &lt;/span&gt;  &lt;span class=&quot;autocomment&quot;&gt;* Menu  * Rich format menu to have more hierarchy: &lt;/span&gt; &lt;span class=&quot;autocomment&quot;&gt;Remove bottom spacing as it is handled in footer portlet: &lt;/span&gt; .citizen-drawer__menu { 	margin-bottom: 0; 	padding-bottom: 0; }  .mw-portlet-External { 	position: sticky; 	bottom: 0; 	margin-top: var( --space-md );     padding: var( --space-xs ) 0; 	border-top: 1px solid var( --border-color-base ); 	background: var( --color-surface-1 ); 	font-size: va...&amp;quot;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* All CSS here will be loaded for users of the Citizen skin */&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
 * Menu&lt;br /&gt;
 * Rich format menu to have more hierarchy&lt;br /&gt;
*/&lt;br /&gt;
/* Remove bottom spacing as it is handled in footer portlet */&lt;br /&gt;
.citizen-drawer__menu {&lt;br /&gt;
	margin-bottom: 0;&lt;br /&gt;
	padding-bottom: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-portlet-External {&lt;br /&gt;
	position: sticky;&lt;br /&gt;
	bottom: 0;&lt;br /&gt;
	margin-top: var( --space-md );&lt;br /&gt;
    padding: var( --space-xs ) 0;&lt;br /&gt;
	border-top: 1px solid var( --border-color-base );&lt;br /&gt;
	background: var( --color-surface-1 );&lt;br /&gt;
	font-size: var( --font-size-x-small );&lt;br /&gt;
	grid-column: 1 / -1;&lt;br /&gt;
	white-space: nowrap;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-portlet-External .citizen-menu__heading {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-portlet-External ul {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	overflow: auto;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-portlet-External .mw-list-item a {&lt;br /&gt;
	gap: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Label */&lt;br /&gt;
.citizen-drawer__menu [id^=&amp;quot;n-sidebar-label-&amp;quot;] a {&lt;br /&gt;
	pointer-events: none;&lt;br /&gt;
    margin-left: var( --space-xs );&lt;br /&gt;
    padding-left: var( --space-md );&lt;br /&gt;
	padding-right: var( --space-xs );&lt;br /&gt;
	border-left: 1px solid var( --border-color-base );&lt;br /&gt;
    border-radius: 0;&lt;br /&gt;
    letter-spacing: 0.05em;&lt;br /&gt;
    font-weight: var( --font-weight-normal );&lt;br /&gt;
    color: var( --color-subtle ) !important;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Icons */&lt;br /&gt;
.citizen-drawer__menu [id^=&amp;quot;n-sidebar-icon-&amp;quot;] a {&lt;br /&gt;
	font-size: 0;&lt;br /&gt;
    content-visibility: auto;&lt;br /&gt;
&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.citizen-drawer__menu [id^=&amp;quot;n-sidebar-icon-&amp;quot;] a:before {&lt;br /&gt;
	display: block;&lt;br /&gt;
    content: &amp;quot;&amp;quot;;&lt;br /&gt;
    width: var( --size-icon );&lt;br /&gt;
    height: var( --size-icon );&lt;br /&gt;
    background-color: currentColor;&lt;br /&gt;
	mask-size: contain;&lt;br /&gt;
	mask-repeat: no-repeat;&lt;br /&gt;
	mask-position: center;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-discord a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/7/77/Discord_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-twitter a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/6/6a/Twitter_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-mastodon a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/d/de/Mastodon_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-threads a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/9/9b/Threads_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-bluesky a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/8/8b/Bluesky_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-patreon a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/e/e9/Patreon_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-kofi a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/4/48/Kofi_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-github a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/8/85/Github_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#n-sidebar-icon-reddit a:before {&lt;br /&gt;
	mask-image: url( https://media.starcitizen.tools/e/e8/Reddit_-_Simple_Icons.svg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
 * Footer icons&lt;br /&gt;
 * We use custom footer icons so we need to fine tune it&lt;br /&gt;
*/&lt;br /&gt;
#footer-icons a {&lt;br /&gt;
	border: 0;&lt;br /&gt;
	padding: 0;&lt;br /&gt;
	background: transparent;&lt;br /&gt;
	opacity: var( --opacity-icon-base );&lt;br /&gt;
	transition: opacity 250ms ease;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#footer-icons a:hover {&lt;br /&gt;
	opacity: var( --opacity-icon-base--hover );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#footer-icons a:active {&lt;br /&gt;
	opacity: var( --opacity-icon-base--active );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* More space between icons */&lt;br /&gt;
#footer-icons ul,&lt;br /&gt;
#footer-icons li {&lt;br /&gt;
	gap: var( --space-md );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#footer-icons img {&lt;br /&gt;
	width: auto;&lt;br /&gt;
	height: 32px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Divide footer links into two columns */&lt;br /&gt;
#footer-places {&lt;br /&gt;
	column-count: 2;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Fix misalignment in Safari and Firefox when using two columns */&lt;br /&gt;
#footer-places ul {&lt;br /&gt;
	display: initial;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Darken the footer icon in light mode */&lt;br /&gt;
.skin-citizen-light #footer-icons a {&lt;br /&gt;
	filter: invert( 1 ) hue-rotate( 180deg );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
 * Very important checkmark&lt;br /&gt;
 * Blue checkmark near wordmark&lt;br /&gt;
*/&lt;br /&gt;
.mw-logo-wordmark {&lt;br /&gt;
    display: flex;&lt;br /&gt;
    align-items: center;&lt;br /&gt;
    gap: var( --space-sm );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* CookieWarning tweaks */&lt;br /&gt;
.mw-cookiewarning-container {&lt;br /&gt;
	max-width: 480px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-cookiewarning-text {&lt;br /&gt;
	gap: var(--space-xs);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-cookiewarning-text::before {&lt;br /&gt;
	content: &amp;#039;🍪&amp;#039;;&lt;br /&gt;
    font-size: 2rem;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* hide on pageload to prevent FoUC */&lt;br /&gt;
.client-js .mw-cookiewarning-container {&lt;br /&gt;
	opacity: 0;&lt;br /&gt;
	visibility: hidden;&lt;br /&gt;
	transition: opacity 250ms ease, visibility 250ms ease;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* citizen-animations-ready is added when scripts are loaded */&lt;br /&gt;
.client-js.citizen-animations-ready .mw-cookiewarning-container {&lt;br /&gt;
	opacity: 1;&lt;br /&gt;
	visibility: visible;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Site notice styles */&lt;br /&gt;
#scw-birthday {&lt;br /&gt;
	padding: var( --space-sm ) var( --space-md );&lt;br /&gt;
	background-color: var( --color-surface-2 );&lt;br /&gt;
	font-size: var( --font-size-small );&lt;br /&gt;
	font-weight: var( --font-weight-semibold );&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
#scw-birthday-canvas {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	inset: 0;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Full-width for pledge vehicle list page */&lt;br /&gt;
.page-List_of_pledge_vehicles {&lt;br /&gt;
    --width-layout: 100vw;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Alternative theme */&lt;br /&gt;
/*&lt;br /&gt;
:root {&lt;br /&gt;
    --font-family-citizen-base: monospace;&lt;br /&gt;
    --font-size-base: 0.875rem;&lt;br /&gt;
    --color-primary__h: 30;&lt;br /&gt;
    --border-radius-base: 0;&lt;br /&gt;
    --border-color-base: hsla( var( --color-primary__h ), 85%, 65%, 25% ) !important;&lt;br /&gt;
    letter-spacing: -0.025em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.mw-logo.citizen-header__button:after {&lt;br /&gt;
    content: &amp;quot;🎃&amp;quot;;&lt;br /&gt;
    position: absolute;&lt;br /&gt;
    left: 0;&lt;br /&gt;
}&lt;br /&gt;
*/&lt;br /&gt;
&lt;br /&gt;
/* Verified badge */&lt;br /&gt;
/*&lt;br /&gt;
.mw-logo-wordmark:after {&lt;br /&gt;
	content: &amp;quot;&amp;quot;;&lt;br /&gt;
    width: 1em;&lt;br /&gt;
    height: 1em;&lt;br /&gt;
    display: block;&lt;br /&gt;
    background-image: url( https://media.starcitizen.tools/5/5f/SCW-Verified.svg );&lt;br /&gt;
}&lt;br /&gt;
*/&lt;br /&gt;
&lt;br /&gt;
/* HACK: Hide UploadWizard personal purpose option */&lt;br /&gt;
.mwe-upwiz-deed-purpose &amp;gt; label:last-child {&lt;br /&gt;
    display: none !important;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Fecsmith</name></author>
	</entry>
</feed>